# Uses of Class
org.apache.solr.client.solrj.request.CollectionAdminRequest.DeleteStatus

Packages that use CollectionAdminRequest.DeleteStatus
Package
Description
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.

## Uses of CollectionAdminRequest.DeleteStatus in org.apache.solr.client.solrj.request

Methods in org.apache.solr.client.solrj.request that return CollectionAdminRequest.DeleteStatus
Modifier and Type
Method
Description
`static CollectionAdminRequest.DeleteStatus`
CollectionAdminRequest.`deleteAllAsyncIds()`
Returns a SolrRequest to delete a all asynchronous request statuses
`static CollectionAdminRequest.DeleteStatus`
CollectionAdminRequest.`deleteAsyncId(String requestId)`
Returns a SolrRequest to delete an asynchronous request status